For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inbox Teams

Lists all teams for a chatbot

get

Required Permission: chatbots.teams.list

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Responses
200

List of all teams.

application/json
errorstringOptional

Optional error message.

get/v1/inbox/{chatbotId}/teams
GET /v1/inbox/{chatbotId}/teams HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "teams": [
    {
      "id": "L1SQSnEeYL61pMtEKDln",
      "name": "First-Level-Support",
      "created": "2025-10-07T10:00:00Z",
      "updated": "2025-10-07T10:05:00Z",
      "icon": "support_agent",
      "userIds": [
        "uaYAdkVQteacOnKtQMhX"
      ]
    }
  ],
  "error": "text"
}

Creates a new team

post

Required Permission: chatbots.teams.create

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

Body
namestringRequired

The name of the new team.

Example: Customer Service Team
Responses
201

Team created successfully.

application/json
errorstringOptional

Optional error message.

post/v1/inbox/{chatbotId}/teams
POST /v1/inbox/{chatbotId}/teams HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "name": "Customer Service Team"
}
{
  "team": {
    "id": "L1SQSnEeYL61pMtEKDln",
    "name": "First-Level-Support",
    "created": "2025-10-07T10:00:00Z",
    "updated": "2025-10-07T10:05:00Z",
    "icon": "support_agent",
    "userIds": [
      "uaYAdkVQteacOnKtQMhX"
    ]
  },
  "error": "text"
}

Retrieves a specific team

get

Required Permission: chatbots.teams.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

teamIdstringRequired

The ID of the team to retrieve.

Responses
200

Details of the team.

application/json
errorstringOptional

Optional error message.

get/v1/inbox/{chatbotId}/teams/{teamId}
GET /v1/inbox/{chatbotId}/teams/{teamId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "team": {
    "id": "L1SQSnEeYL61pMtEKDln",
    "name": "First-Level-Support",
    "created": "2025-10-07T10:00:00Z",
    "updated": "2025-10-07T10:05:00Z",
    "icon": "support_agent",
    "userIds": [
      "uaYAdkVQteacOnKtQMhX"
    ]
  },
  "error": "text"
}

Deletes a team

delete

Required Permission: chatbots.teams.delete

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

teamIdstringRequired

The ID of the team to delete.

Responses
200

Team deleted successfully.

No content

delete/v1/inbox/{chatbotId}/teams/{teamId}
DELETE /v1/inbox/{chatbotId}/teams/{teamId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*

No content

Updates an existing team

patch

Required Permission: chatbots.teams.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

teamIdstringRequired

The ID of the team to update.

Body
Responses
200

Team updated successfully.

application/json
errorstringOptional

Optional error message.

patch/v1/inbox/{chatbotId}/teams/{teamId}
PATCH /v1/inbox/{chatbotId}/teams/{teamId} HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "updated": {
    "userIds": [
      "ZVfFkkOEuHzYWaSijjNk",
      "SfHdrGq4Yosu5QeHYXVp"
    ],
    "name": "Second-Level-Support"
  }
}
{
  "team": {
    "id": "L1SQSnEeYL61pMtEKDln",
    "name": "First-Level-Support",
    "created": "2025-10-07T10:00:00Z",
    "updated": "2025-10-07T10:05:00Z",
    "icon": "support_agent",
    "userIds": [
      "uaYAdkVQteacOnKtQMhX"
    ]
  },
  "error": "text"
}

Last updated